function onTalk()
	
	disableMovement()

	say("KTA_CTSB_NONA")
	
    choiceDialog({
        { 
			"KTA_CTSB_NONA_about",
		},
		{ 
			"KTA_CTSB_NONA_hints",
		},
		{ 
			"KTA_CTSB_NONA_discord",
			onEnd = function ()
                setFlag("lauch_nucler_missiles",true)()
            end
		},
		{ 
			"KTA_CTSB_NONA_bye",
			onEnd = function ()
                closeChoiceDialog()
            end
		},
	})
	
    enableMovement()
end

function onEnd(room, wasSkipped)
	enableMovement()
end